Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

WARNING: ev_ref is deprecated, use uv_ref #77

Open
ghost opened this Issue Jul 11, 2012 · 12 comments

Comments

Projects
None yet
10 participants
@ghost

ghost commented Jul 11, 2012

Using node 0.8.1 I get the above error message when executing db-mysql methods.

cu
Roman

Having the same behaviour here with v. 0.8.2.

cu
Quino

efolio commented Aug 1, 2012

Me too on Node v0.8.4 :
"WARNING: ev_unref is deprecated, use uv_unref"

This might help on solving the issue: http://stackoverflow.com/questions/11755395/node-js-fixing-ev-ref-ev-unref-warning

Yes, this issue is fixed on trunk. Hope mariano will release soon.

sharonjl commented Nov 8, 2012

I am still experiencing this issue.

+1

I'm having the same problem, maybe there is another modul for db-mysql?

Is this fix going to be released?

jornare commented Jan 15, 2013

+1

mattmcla commented Feb 3, 2013

+1

qraynaud commented Feb 9, 2013

According to my perception, even if the maintainer often says otherwise on github, he is not maintaining node-db related packages. I proposed a patch months ago that he read & accepted but never commited. I saw another patch ready to roll out that never made it for the same reasons.

This could easily be made right if the author would accept to give rights on the repository to someone else that would do the job in the meantime (I believe he really intend to support those but is working on other projects and thus can't find the time to do both).

As of now, I only see one other solution : to fork the project. It is not very practical and you have to make people do the switch after that. That's not an awesome way of doing this.

@ghost

ghost commented Apr 10, 2013

+1 too.I am just deal with db-msyql.

+1

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment